import BackPropagation_Char;
import BackPropagation_common;
import std.stdio;

/*
Programmed by Jeon Hee Won
2007. 5. 22
*/


void main(){
	Bianry_Sigmoid tangent;
	BackPropagation_Training BPT = new BackPropagation_Training(tangent);

	BPT.processing();

	writefln("Finish learning!");
	
	BackPropagation_Test BPTest = new BackPropagation_Test(BPT);
	for(int i = 0; i < 6;i++){
		char ret = BPTest.evaluation(i);
		writefln("\nresult is %s", ret);
		writefln("-----------------");
	}	
}
